petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatLMVMSetJ0PC

Allows the user to define a PC object that acts as the initial inverse-Jacobian matrix. This PC should already contain all the operators necessary for its application. The LMVM matrix only calls PCApply() without changing any other options.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetJ0PC(Mat B, PC J0pc)

### Input Parameters

| B | - An LMVM-type matrix
| J0pc | - PC object where PCApply defines an inverse application for J0

### See Also

MatLMVMGetJ0PC()

### Level

advanced

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages